Get Checkout
Returns a Checkout.
By default, the response omits line item options, stock positions, available shipping options, and promotion banners. Use the include query parameter to add them. Pass a comma-separated list to request more than one:
Notes
- The checkout ID is the same as the cart ID. Get it from the
idreturned by Create a cart or Get a cart, or from the storefront checkout: the REST Storefront Get checkout response or the Checkout SDK’scheckout.id.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
checkoutId
ID of the checkout; the same as the cart ID.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
include
Comma-separated list of sub-resources to add to the response. The default response omits all of them.
cart.line_items.physical_items.options- product options on physical line itemscart.line_items.digital_items.options- product options on digital line itemscart.line_items.physical_items.stock_position- backorder and stock availability for physical itemscart.line_items.digital_items.stock_position- backorder and stock availability for digital items (backorder values are always zero because digital products cannot be backordered)consignments.available_shipping_options- shipping options available to each consignmentpromotions.banners- eligible promotion banners
Example: include=consignments.available_shipping_options,promotions.banners
Response
OK
data
meta
Response metadata.
Errors
404
Not Found Error